//Cargar Inicial de la APP
window.onload = function () {
	const MenuDefault = 'Inicio';
	// MENU SUPERIOR - ACCIONES
	function MenuGUI(elemento) {
		try {
			var seleccion = document.getElementById('app');
			$(seleccion).empty();
			$(seleccion).load('./view/modelo_' + elemento + '.html', function (datos_archivo) {
				switch (elemento) {
					case 'Inicio':
						console.log('Inicio');
						Cargar_API_VUE();
						API_EMA.ObtenerEstaciones();
						break;
					case 'Acerca':
						console.log('Acerca');
						break;
					case 'Descargas':
						console.log('Descargas');
						break;
					case 'Pronostico':
						console.log('Pronostico');
						break;
					case 'Estaciones':
						console.log('Estaciones');
						break;
					default:
						console.log('No existe el menu seleccionado: ' + elemento);
						MenuGUI(MenuDefault);
				}
			});
		} catch (e) {
			//Si falla se informa en consola
			console.log('Ups, problemas en la carga');
		}
	}

	//CARGADOR DEL MENU

	$('.nav-link').on('click', function (evnt) {
		var obj = $(evnt.target);
		$('#' + obj.attr('aria-controls')).empty();
		MenuGUI(obj.attr('aria-controls'));
		obj = null;
	});

	// AUTOLOAD DEL MENU POR DEFAULT
	MenuGUI(MenuDefault);
	
	//Tooltip
	$(document).ready(function(){
		$('[data-toggle="tooltip"]').tooltip(); 
	});
};
